# MarkovModels Documentation

[MarkovModels](https://github.com/BUTSpeechFIT/MarkovModels.jl) is a
[Julia](https://julialang.org/) package to use (Hidden) Markov Models
for probabilistic inference.

See the project on [github](https://github.com/lucasondel/MarkovModels.jl).

To quickly get started, have a look at the examples:
* [notebook demo](https://github.com/lucasondel/MarkovModels.jl/blob/master/examples/demo.ipynb)
* [benchmark](https://github.com/lucasondel/MarkovModels.jl/blob/master/examples/benchmark.jl)

## Authors

* [Lucas Ondel](https://lucasondel.github.io)
* Martin Kocour

## Installation

The package can be installed with the Julia package manager. From the
Julia REPL, type `]` to enter the Pkg REPL mode and run:
```julia
pkg> add MarkovModels
```

## Manual Outline

```@contents
Pages = ["fsm.md", "inference.md"]
```

